# Created by pyp2rpm-3.3.2
%global pypi_name gkraken

Name:           python-%{pypi_name}
Version:        0.12.1
Release:        1%{?dist}
Summary:        GUI to control cooling and lighting of NZXT Kraken X (X42, X52, X62 or X72) pumps

License:        None
URL:            https://gitlab.com/leinardi/gkraken
Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(injector) = 0.14.1
Requires:       python3dist(liquidctl) = 1.0.0
Requires:       python3dist(matplotlib) = 3.0.0
Requires:       python3dist(peewee) = 3.7.1
Requires:       python3dist(pygobject)
Requires:       python3dist(pyxdg)
Requires:       python3dist(requests)
Requires:       python3dist(rx) = 1.6.1
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}



%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license COPYING.txt
%doc README.md
%{_bindir}/gkraken
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Fri Mar 22 2019 mockbuilder - 0.12.1-1
- Initial package.